Returns all of the IMAP errors that have occurred

- « imap_deletemailbox

- imap_expunge »

- PHP Manual
- IMAP Functions
- Returns all of the IMAP errors that have occurred

# imap_errors

(PHP 4, PHP 5, PHP 7, PHP 8)

imap_errors — Returns all of the IMAP errors that have occurred

### Description

imap_errors(): array|false

Gets all of the IMAP errors (if any) that have occurred during this page request or since the error stack was reset.

When imap_errors() is called, the error stack is subsequently cleared.

### Parameters

This function has no parameters.

### Return Values

This function returns an array of all of the IMAP error messages generated since the last imap_errors() call, or the beginning of the page. Returns `false` if no error messages are available.

### See Also

- imap_last_error() - Gets the last IMAP error that occurred during this page request
- imap_alerts() - Returns all IMAP alert messages that have occurred